import { Img2imgRequest, ProgressRequest, SyncConfig, Txt2ImgRequest, UpscalseRequest } from "./types";
export declare class OmniinferSDK {
    constructor(key: string);
    httpFetch({ url, method, data, query, }: {
        url: string;
        method?: string;
        data?: Record<string, any> | undefined;
        query?: Record<string, any> | undefined;
    }): Promise<any>;
    getModels(): Promise<{
        models: import("./types").Model[];
    }>;
    txt2Img(params: Txt2ImgRequest): Promise<{
        task_id: string;
    }>;
    img2img(params: Img2imgRequest): Promise<{
        task_id: string;
    }>;
    progress(params: ProgressRequest): Promise<{
        status: number;
        progress: number;
        eta_relative: number;
        imgs: string[];
        info: string | undefined;
        failed_reason: string | undefined;
        current_images?: string | string[] | null | undefined;
    }>;
    txt2ImgSync(params: Txt2ImgRequest, config?: SyncConfig): Promise<any>;
    img2imgSync(params: Img2imgRequest, config?: SyncConfig): Promise<any>;
    upscale(params: UpscalseRequest): Promise<{
        task_id: string;
    }>;
    upscaleSync(params: UpscalseRequest, config?: SyncConfig): Promise<unknown>;
}
