import { Img2imgRequest, ProgressRequest, SyncConfig, Txt2ImgRequest, UpscalseRequest } from "./types";
export declare function setOmniinferKey(key: string): void;
export declare function httpFetch({ url, method, data, query, }: {
    url: string;
    method?: string;
    data?: Record<string, any> | undefined;
    query?: Record<string, any> | undefined;
}): Promise<any>;
export declare function getModels(): Promise<{
    models: import("./types").Model[];
}>;
export declare function txt2Img(params: Txt2ImgRequest): Promise<{
    task_id: string;
}>;
export declare function img2img(params: Img2imgRequest): Promise<{
    task_id: string;
}>;
export declare function upscale(params: UpscalseRequest): Promise<{
    task_id: string;
}>;
export declare function progress(params: ProgressRequest): Promise<{
    status: number;
    progress: number;
    eta_relative: number;
    imgs: string[];
    info: string | undefined;
    failed_reason: string | undefined;
    current_images?: string | string[] | null | undefined;
}>;
export declare function txt2ImgSync(params: Txt2ImgRequest, config?: SyncConfig): Promise<any>;
export declare function img2imgSync(params: Img2imgRequest, config?: SyncConfig): Promise<any>;
export declare function upscaleSync(params: UpscalseRequest, config?: SyncConfig): Promise<unknown>;
